> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aurora items

> Retrieve a list of videos, with an optional ids param to filter vdieo by their UUIDs.



## OpenAPI

````yaml get /api/aurora/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/aurora/:
    get:
      tags:
        - aurora
      description: >-
        Retrieve a list of videos, with an optional ids param to filter vdieo by
        their UUIDs.
      operationId: aurora_list
      parameters:
        - in: query
          name: ids
          schema:
            type: string
            minLength: 1
          description: >-
            Comma-separated list of UUIDs to filter. Maximum 100 entries
            allowed.
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuroraFlow'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    AuroraFlow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        name:
          type: string
          nullable: true
          description: Name of the aurora video
          maxLength: 255
        audio:
          type: string
          format: uri
          description: >-
            Audio file url for the aurora video, 5 minutes max, 'mp3' and 'wav'
            formats only
        image:
          type: string
          format: uri
          description: >-
            Image file url for the aurora video, 'png', 'jpg', 'jpeg', 'webp'
            formats only
        text_prompt:
          type: string
          description: >-
            Optional text prompt describing the desired visual style,
            atmosphere, or scene composition for the video. This can include
            details such as camera angles, lighting, mood, environment, subject
            expression, pose, motion, and other cinematic or artistic elements
            to guide video generation.
        prompt_guidance_scale:
          type: number
          format: double
          default: 1
          description: Prompt guidance scale for image-to-video generation (0.0 to 10.0)
        model_version:
          allOf:
            - $ref: '#/components/schemas/ModelVersion477Enum'
          default: aurora_v1
          description: >-
            Aurora model version to use for video generation. Default is
            'aurora_v1'. 'aurora_v1' produces higher-quality videos (1 credit
            per second), while 'aurora_v1_fast' renders faster with lower
            quality (0.5 credits per second).


            * `aurora_v1` - Aurora v1

            * `aurora_v1_fast` - Aurora v1 Fast
        video_output:
          type: string
          nullable: true
          readOnly: true
          description: Video output URL
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        duration:
          type: integer
          readOnly: true
          description: Duration of the video in seconds
        progress:
          type: number
          format: double
          readOnly: true
          description: Progress of the job
        failed_reason:
          type: string
          readOnly: true
          description: Failed reason
        media_job:
          type: string
          format: uuid
          readOnly: true
          nullable: true
          description: Media job associated with this Avatar X Flow
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD69Enum'
          readOnly: true
        is_hidden:
          type: boolean
          readOnly: true
          description: Is the video hidden in the website projects page
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        preview:
          type: string
          nullable: true
          readOnly: true
          description: Preview URL
        editor_url:
          type: string
          nullable: true
          readOnly: true
          description: >-
            Editor URL for the video. Expires in 24 hours. Available only if
            your API account has API editor access enabled. , expires in 24
            hours.
      required:
        - audio
        - created_at
        - credits_used
        - duration
        - editor_url
        - failed_reason
        - id
        - image
        - is_hidden
        - media_job
        - preview
        - progress
        - status
        - updated_at
        - video_output
    ModelVersion477Enum:
      enum:
        - aurora_v1
        - aurora_v1_fast
      type: string
      description: |-
        * `aurora_v1` - Aurora v1
        * `aurora_v1_fast` - Aurora v1 Fast
    StatusD69Enum:
      enum:
        - pending
        - in_queue
        - running
        - failed
        - done
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `in_queue` - In Queue
        * `running` - Running
        * `failed` - Failed
        * `done` - Done
        * `rejected` - Rejected
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````